Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision a09f31733a6c5b1121281ac5b61a2430fe6570b9)
+++ ui/settingsdialog.ui	(revision 50b614b0ead33f6b36d2ebb87a0d05d59047c955)
@@ -618,7 +618,4 @@
               <item>
                <widget class="QLabel" name="labelSelectedColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
@@ -637,7 +634,4 @@
               <item>
                <widget class="QFrame" name="boxSelectedColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
@@ -665,7 +659,4 @@
               <item>
                <widget class="QPushButton" name="buttonSelectedColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="cursor">
                  <cursorShape>PointingHandCursor</cursorShape>
@@ -682,7 +673,4 @@
               <item>
                <widget class="QLabel" name="labelAlternateColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
@@ -701,7 +689,4 @@
               <item>
                <widget class="QFrame" name="boxAlternateColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
@@ -729,7 +714,4 @@
               <item>
                <widget class="QPushButton" name="buttonAlternateColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="cursor">
                  <cursorShape>PointingHandCursor</cursorShape>
@@ -746,7 +728,4 @@
               <item>
                <widget class="QLabel" name="labelBorderColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
@@ -765,7 +744,4 @@
               <item>
                <widget class="QFrame" name="boxBorderColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
@@ -793,7 +769,4 @@
               <item>
                <widget class="QPushButton" name="buttonBorderColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
                 <property name="cursor">
                  <cursorShape>PointingHandCursor</cursorShape>
@@ -801,68 +774,4 @@
                 <property name="statusTip">
                  <string>Change color of table borders</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_16">
-              <item>
-               <widget class="QLabel" name="labelBgColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Background color for solution output</string>
-                </property>
-                <property name="text">
-                 <string>Background color:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QFrame" name="boxBgColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="minimumSize">
-                 <size>
-                  <width>15</width>
-                  <height>15</height>
-                 </size>
-                </property>
-                <property name="statusTip">
-                 <string>Background color for solution output</string>
-                </property>
-                <property name="autoFillBackground">
-                 <bool>true</bool>
-                </property>
-                <property name="frameShape">
-                 <enum>QFrame::Box</enum>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonBgColor">
-                <property name="enabled">
-                 <bool>false</bool>
-                </property>
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change background color</string>
                 </property>
                </widget>