Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 57)
+++ trunk/ui/settingsdialog.ui	(revision 58)
@@ -3,12 +3,4 @@
  <class>SettingsDialog</class>
  <widget class="QWidget" name="SettingsDialog">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>241</width>
-    <height>182</height>
-   </rect>
-  </property>
   <property name="windowTitle">
    <string>Preferences</string>
@@ -19,12 +11,4 @@
   </property>
   <widget class="Line" name="lineHorizontal">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>130</y>
-     <width>241</width>
-     <height>2</height>
-    </rect>
-   </property>
    <property name="maximumSize">
     <size>
@@ -44,12 +28,4 @@
   </widget>
   <widget class="QWidget" name="bgGrey" native="true">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>140</y>
-     <width>241</width>
-     <height>41</height>
-    </rect>
-   </property>
    <property name="sizePolicy">
     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
@@ -61,5 +37,5 @@
     <palette>
      <active>
-      <colorrole role="Base">
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -70,4 +46,6 @@
        </brush>
       </colorrole>
+     </active>
+     <inactive>
       <colorrole role="Window">
        <brush brushstyle="SolidPattern">
@@ -79,7 +57,7 @@
        </brush>
       </colorrole>
-     </active>
-     <inactive>
-      <colorrole role="Base">
+     </inactive>
+     <disabled>
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -90,33 +68,4 @@
        </brush>
       </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
-     </inactive>
-     <disabled>
-      <colorrole role="Base">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
      </disabled>
     </palette>
@@ -126,12 +75,4 @@
    </property>
    <widget class="QPushButton" name="buttonCancel">
-    <property name="geometry">
-     <rect>
-      <x>160</x>
-      <y>10</y>
-      <width>75</width>
-      <height>24</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -149,12 +90,4 @@
    </widget>
    <widget class="QPushButton" name="buttonOK">
-    <property name="geometry">
-     <rect>
-      <x>80</x>
-      <y>10</y>
-      <width>77</width>
-      <height>26</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -174,59 +107,8 @@
     </property>
    </widget>
-   <widget class="QLabel" name="labelHint">
-    <property name="geometry">
-     <rect>
-      <x>50</x>
-      <y>10</y>
-      <width>16</width>
-      <height>28</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>28</height>
-     </size>
-    </property>
-    <property name="maximumSize">
-     <size>
-      <width>16777215</width>
-      <height>28</height>
-     </size>
-    </property>
-    <property name="statusTip">
-     <string>Hover mouse pointer over dialog elements to get additional help</string>
-    </property>
-    <property name="text">
-     <string/>
-    </property>
-    <property name="textFormat">
-     <enum>Qt::PlainText</enum>
-    </property>
-    <property name="alignment">
-     <set>Qt::AlignJustify|Qt::AlignTop</set>
-    </property>
-    <property name="wordWrap">
-     <bool>true</bool>
-    </property>
-   </widget>
    <widget class="QToolButton" name="buttonHelp">
     <property name="enabled">
      <bool>false</bool>
     </property>
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>10</y>
-      <width>23</width>
-      <height>22</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -251,16 +133,8 @@
   </widget>
   <widget class="QWidget" name="bgWhite" native="true">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>239</width>
-     <height>121</height>
-    </rect>
-   </property>
    <property name="palette">
     <palette>
      <active>
-      <colorrole role="Base">
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -271,4 +145,6 @@
        </brush>
       </colorrole>
+     </active>
+     <inactive>
       <colorrole role="Window">
        <brush brushstyle="SolidPattern">
@@ -280,7 +156,7 @@
        </brush>
       </colorrole>
-     </active>
-     <inactive>
-      <colorrole role="Base">
+     </inactive>
+     <disabled>
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -291,33 +167,4 @@
        </brush>
       </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
-     </inactive>
-     <disabled>
-      <colorrole role="Base">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
      </disabled>
     </palette>
@@ -327,12 +174,4 @@
    </property>
    <widget class="QGroupBox" name="groupRandomSettings">
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>10</y>
-      <width>115</width>
-      <height>84</height>
-     </rect>
-    </property>
     <property name="title">
      <string>Random values:</string>
@@ -340,5 +179,5 @@
     <layout class="QVBoxLayout">
      <item>
-      <layout class="QHBoxLayout">
+      <layout class="QHBoxLayout" name="_2">
        <item>
         <widget class="QLabel" name="labelRandMin">
@@ -370,5 +209,5 @@
      </item>
      <item>
-      <layout class="QHBoxLayout">
+      <layout class="QHBoxLayout" name="_3">
        <item>
         <widget class="QLabel" name="labelRandMax">
@@ -402,24 +241,8 @@
    </widget>
    <widget class="QGroupBox" name="groupOutputSettings">
-    <property name="geometry">
-     <rect>
-      <x>131</x>
-      <y>10</y>
-      <width>95</width>
-      <height>88</height>
-     </rect>
-    </property>
     <property name="title">
      <string>Output settings:</string>
     </property>
     <widget class="QPushButton" name="buttonFont">
-     <property name="geometry">
-      <rect>
-       <x>10</x>
-       <y>24</y>
-       <width>75</width>
-       <height>24</height>
-      </rect>
-     </property>
      <property name="cursor">
       <cursorShape>PointingHandCursor</cursorShape>
@@ -437,12 +260,4 @@
     </widget>
     <widget class="QPushButton" name="buttonColor">
-     <property name="geometry">
-      <rect>
-       <x>10</x>
-       <y>54</y>
-       <width>75</width>
-       <height>24</height>
-      </rect>
-     </property>
      <property name="cursor">
       <cursorShape>PointingHandCursor</cursorShape>
@@ -461,17 +276,12 @@
    </widget>
    <widget class="QCheckBox" name="cbAutosize">
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>90</y>
-      <width>247</width>
-      <height>19</height>
-     </rect>
-    </property>
-    <property name="statusTip">
-     <string>Automatically resize rows and columns when content changes</string>
-    </property>
-    <property name="text">
-     <string>Automatically resize rows and columns</string>
+    <property name="cursor">
+     <cursorShape>PointingHandCursor</cursorShape>
+    </property>
+    <property name="statusTip">
+     <string>Automatically resize rows and columns to their contents</string>
+    </property>
+    <property name="text">
+     <string>Autosize of rows and columns</string>
     </property>
    </widget>