Index: /trunk/src/globals.h
===================================================================
--- /trunk/src/globals.h	(revision 65)
+++ /trunk/src/globals.h	(revision 66)
@@ -76,5 +76,5 @@
 #endif // Q_OS_LINUX
 
-//! TSPSG Task file signature - letters \p TSPT
+//! TSPSG Task file signature - letters \c TSPT
 #define TSPT quint32(0x54535054)
 //! TSPSG Task file version
@@ -84,15 +84,19 @@
 //! TSPSG Task file metadata size in bytes (incl. version)
 #define TSPT_META_SIZE 2
-//! ZKomModRd Task file signature - letters \p ZK
+//! ZKomModRd Task file signature - letters \c ZK
 #define ZKT quint16(0x5A4B)
 //! ZKomModRd Task file version
 #define ZKT_VERSION quint8(1)
 
-// Some libraries already have INFINITY defined.
-// We need to undefine it for INFINITY to have always the same value.
+/*!
+ * \def INFINITY
+ * \brief This value means infinity :-)
+ *
+ *  Some libraries already have \c INFINITY defined.
+ *  We need to redefine it for the \c INFINITY to always have the same value.
+ */
 #ifdef INFINITY
 	#undef INFINITY
 #endif
-//! This value means infinity :-)
 #define INFINITY 1.7E+308
 //! This string represents infinite value in the table
Index: /trunk/src/mainwindow.h
===================================================================
--- /trunk/src/mainwindow.h	(revision 65)
+++ /trunk/src/mainwindow.h	(revision 66)
@@ -27,4 +27,9 @@
 #ifndef MAINWINDOW_H
 #define MAINWINDOW_H
+
+/*!
+ * \file mainwindow.h
+ * \brief Defines MainWindow class.
+ */
 
 #include "globals.h"
Index: /trunk/src/os.h
===================================================================
--- /trunk/src/os.h	(revision 65)
+++ /trunk/src/os.h	(revision 66)
@@ -25,9 +25,18 @@
 #define OS_H
 
+/*!
+ * \file os.h
+ * \brief This file contains TSPSG target CPU architecture and OS detection.
+ *
+ *  Arch detection works only for <b>GNU C</b>, <b>Visual Studio</b>, <b>Intel C/C++</b> and <b>MinGW32</b> compilers.
+ *
+ *  OS detection should work for any compiler.
+ */
+
 // Some target arch detection.
 /*!
  * \def ARCH
  * \brief The target CPU architecture TSPSG was built for.
- * \warning NOTE: Only for GNU C, Visual Studio, Intel C/C++ and MinGW32 compilers.
+ * \warning NOTE: Only for <b>GNU C</b>, <b>Visual Studio</b>, <b>Intel C/C++</b> and <b>MinGW32</b> compilers.
  */
 #if defined(__amd64__) || defined(_M_X64)
@@ -47,5 +56,5 @@
 #endif // ARCH
 
-// Target OS detection. Done by Qt, so should work with any compiler.
+// Target OS detection. Done by Qt, so should work for any compiler.
 /*!
  * \def OS
Index: /trunk/src/resource.h
===================================================================
--- /trunk/src/resource.h	(revision 65)
+++ /trunk/src/resource.h	(revision 66)
@@ -24,4 +24,11 @@
 #include "version.h"
 
+/*!
+ * \file resource.h
+ * \brief This file contains windows resource IDs.
+ */
+
+//! Version information resource ID
 #define VS_VERSION_INFO 1
+//! Main application icon resource ID
 #define IDI_APPICON 101
Index: /trunk/src/settingsdialog.cpp
===================================================================
--- /trunk/src/settingsdialog.cpp	(revision 65)
+++ /trunk/src/settingsdialog.cpp	(revision 66)
@@ -226,4 +226,5 @@
 /*!
  * \brief Indicates whether or not the font color has been changed.
+ * \return \c true if font color changed, otherwise \c false.
  */
 bool SettingsDialog::colorChanged() const
@@ -234,4 +235,5 @@
 /*!
  * \brief Indicates whether or not the font properties have been changed.
+ * \return \c true if font properties changed, otherwise \c false.
  */
 bool SettingsDialog::fontChanged() const
Index: /trunk/src/settingsdialog.h
===================================================================
--- /trunk/src/settingsdialog.h	(revision 65)
+++ /trunk/src/settingsdialog.h	(revision 66)
@@ -27,4 +27,9 @@
 #ifndef SETTINGSDIALOG_H
 #define SETTINGSDIALOG_H
+
+/*!
+ * \file settingsdialog.h
+ * \brief Defines SettingsDialog class.
+ */
 
 #include "globals.h"
Index: /trunk/src/tspmodel.h
===================================================================
--- /trunk/src/tspmodel.h	(revision 65)
+++ /trunk/src/tspmodel.h	(revision 66)
@@ -27,4 +27,9 @@
 #ifndef TSPMODEL_H
 #define TSPMODEL_H
+
+/*!
+ * \file tspmodel.h
+ * \brief Defines CTSPModel class.
+ */
 
 #include "globals.h"
Index: /trunk/src/tspsolver.cpp
===================================================================
--- /trunk/src/tspsolver.cpp	(revision 65)
+++ /trunk/src/tspsolver.cpp	(revision 66)
@@ -131,4 +131,5 @@
  * \param task The matrix of city-to-city travel costs.
  * \param parent The parent widget for displaying messages and dialogs.
+ * \return Pointer to the root of the solution tree.
  *
  * \todo TODO: Comment the algorithm.
@@ -236,4 +237,5 @@
 /*!
  * \brief Returns the sorted optimal path, starting from City 1.
+ * \return A string, containing sorted optimal path.
  */
 QString CTSPSolver::getSortedPath() const
@@ -255,6 +257,5 @@
 /*!
  * \brief Returns CTSPSolver's version ID.
- *
- *  Current version ID is <b>\$Id$</b>.
+ * \return A string: <b>\$Id$</b>.
  */
 QString CTSPSolver::getVersionId()
@@ -265,7 +266,8 @@
 /*!
  * \brief Returns whether or not the solution is definitely optimal.
+ * \return \c true if solution is definitely optimal, otherwise \c false.
  *
  *  The solution may need some further interations to determine whether it is optimal.
- *  In such cases this function returns \p false.
+ *  In such cases this function returns \c false.
  */
 bool CTSPSolver::isOptimal() const
Index: /trunk/src/tspsolver.h
===================================================================
--- /trunk/src/tspsolver.h	(revision 65)
+++ /trunk/src/tspsolver.h	(revision 66)
@@ -29,4 +29,9 @@
 #ifndef TSPSOLVER_H
 #define TSPSOLVER_H
+
+/*!
+ * \file tspsolver.h
+ * \brief Defines #tMatrix typedef, sStep struct and CTSPSolver class.
+ */
 
 #include "globals.h"
Index: /trunk/src/version.h
===================================================================
--- /trunk/src/version.h	(revision 65)
+++ /trunk/src/version.h	(revision 66)
@@ -1,6 +1,7 @@
 /*! \mainpage
  *
+ * \image html tspsg.png
  *  <b>TSPSG: TSP Solver and Generator</b>
- *  \author Copyright (C) 2007-2009 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright (C) 2007-2009 Lёppa <contacts[at]oleksii[dot]name>
  *
  *  $Id$
@@ -46,8 +47,8 @@
  *
  * Build number meanings:
- *   - 1  --  3: alpha 1 to 3
- *   - 4  --  7: beta 1 to 4
- *   - 8  -- 10: rc 1 to 3
- *   - 11 --...: release 1 to ...
+ *   - 1  --  3: <b>alpha</b> 1 to 3
+ *   - 4  --  7: <b>beta</b> 1 to 4
+ *   - 8  -- 10: <b>rc</b> 1 to 3
+ *   - 11 --  x: <b>release</b> 1 to x-10
  */
 #define BUILD_NUMBER 65535
@@ -69,11 +70,12 @@
 #endif // BUILD_NUMBER == 65535
 
+//! \internal \brief A helper for QUOTE(x).
+#define QUOTE_X(x) #x
 //! Used for "conversion" of \a x to quoted string
-#define QUOTE_X(x) #x
 #define QUOTE(x) QUOTE_X(x)
 
 /*!
  * \def BUILD_VERSION
- * \brief Full version of TSPSG in the form: \a major.\a minor.\a release [\a status].
+ * \brief Full version of TSPSG in the form: \c major.\c minor.\c release[ \c status].
  */
 #ifndef BUILD_STATUS