Index: trunk/docs/html/tspsolver_8h_source.html
===================================================================
--- trunk/docs/html/tspsolver_8h_source.html	(revision 72)
+++ trunk/docs/html/tspsolver_8h_source.html	(revision 76)
@@ -92,54 +92,63 @@
 <a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="tspmodel_8h.html" title="Defines CTSPModel class.">tspmodel.h</a>&quot;</span>
 <a name="l00034"></a>00034 
-<a name="l00036"></a><a class="code" href="tspsolver_8h.html#a96b95c574161e5013286210c96c581ba">00036</a> <span class="keyword">typedef</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList&lt;QList&lt;double&gt;</a> &gt; <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a>;
+<a name="l00036"></a><a class="code" href="tspsolver_8h.html#a3addcca59ef59d0b3892b3670f808965">00036</a> <span class="keyword">typedef</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList&lt;QList&lt;double&gt;</a> &gt; <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a>;
 <a name="l00037"></a>00037 
-<a name="l00043"></a>00043 
-<a name="l00044"></a><a class="code" href="structs_step.html">00044</a> <span class="keyword">struct </span><a class="code" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> {
-<a name="l00045"></a><a class="code" href="structs_step.html#a0b16ffd0c21e19482d8080559a4ebea7">00045</a>     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> <a class="code" href="structs_step.html#a0b16ffd0c21e19482d8080559a4ebea7" title="This step&amp;#39;s matrix.">matrix</a>; 
-<a name="l00046"></a><a class="code" href="structs_step.html#addaeb82c9ddd12c50b753ad2988ceafc">00046</a>     <span class="keywordtype">double</span> <a class="code" href="structs_step.html#addaeb82c9ddd12c50b753ad2988ceafc" title="The price of travel to this step.">price</a>; 
-<a name="l00047"></a>00047     <span class="keyword">struct </span>{
-<a name="l00048"></a><a class="code" href="structs_step.html#afa2175a8daa72a3b0cb510b4dd41b3e2">00048</a>         <span class="keywordtype">int</span> <a class="code" href="structs_step.html#afa2175a8daa72a3b0cb510b4dd41b3e2" title="A zero-based row number of the candidate.">nRow</a>; 
-<a name="l00049"></a><a class="code" href="structs_step.html#a907c1872b0e7881130f0034145169fb1">00049</a>         <span class="keywordtype">int</span> <a class="code" href="structs_step.html#a907c1872b0e7881130f0034145169fb1" title="A zero-based column number of the candidate.">nCol</a>; 
-<a name="l00050"></a>00050     } <a class="code" href="structs_step.html#a46e252aac4c84cc53d412c76f63fa6fd" title="A candiadate for branching in the current matrix.">candidate</a>; 
-<a name="l00051"></a><a class="code" href="structs_step.html#aabaeab5d890e4497a76c7a30a3f85cfa">00051</a>     <span class="keywordtype">bool</span> <a class="code" href="structs_step.html#aabaeab5d890e4497a76c7a30a3f85cfa" title="Indicates whether or not matrix has alternative candidates.">alts</a>; 
-<a name="l00052"></a><a class="code" href="structs_step.html#a7a984255a80c651dff62ac9571079a53">00052</a>     <a class="code" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> *<a class="code" href="structs_step.html#a7a984255a80c651dff62ac9571079a53" title="Pointer to the left branch step.">plNode</a>; 
-<a name="l00053"></a><a class="code" href="structs_step.html#a9f14c4a0df25ba8b109c6732d4a68216">00053</a>     <a class="code" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> *<a class="code" href="structs_step.html#a9f14c4a0df25ba8b109c6732d4a68216" title="Pointer to the right branch step.">prNode</a>; 
+<a name="l00041"></a><a class="code" href="struct_s_candidate.html">00041</a> <span class="keyword">struct </span><a class="code" href="struct_s_candidate.html" title="A structure that represents a candidate for branching.">SCandidate</a> {
+<a name="l00042"></a><a class="code" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5">00042</a>     <span class="keywordtype">int</span> <a class="code" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5" title="A zero-based row number of the candidate.">nRow</a>; 
+<a name="l00043"></a><a class="code" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338">00043</a>     <span class="keywordtype">int</span> <a class="code" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338" title="A zero-based column number of the candidate.">nCol</a>; 
+<a name="l00044"></a>00044 
+<a name="l00046"></a><a class="code" href="struct_s_candidate.html#ad7ac35a48148fcc51614079714c03e6f">00046</a>     <a class="code" href="struct_s_candidate.html#ad7ac35a48148fcc51614079714c03e6f" title="Assigns default values.">SCandidate</a>() {
+<a name="l00047"></a>00047         <a class="code" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338" title="A zero-based column number of the candidate.">nCol</a> = <a class="code" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5" title="A zero-based row number of the candidate.">nRow</a> = -1;
+<a name="l00048"></a>00048     }
+<a name="l00050"></a><a class="code" href="struct_s_candidate.html#a9e4f4f1861131ed23b5576f9cd8d4c68">00050</a>     <span class="keywordtype">bool</span> <a class="code" href="struct_s_candidate.html#a9e4f4f1861131ed23b5576f9cd8d4c68" title="An operator == implementation.">operator ==</a>(<span class="keyword">const</span> <a class="code" href="struct_s_candidate.html" title="A structure that represents a candidate for branching.">SCandidate</a> &amp;cand)<span class="keyword"> const </span>{
+<a name="l00051"></a>00051         <span class="keywordflow">return</span> ((cand.<a class="code" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5" title="A zero-based row number of the candidate.">nRow</a> == <a class="code" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5" title="A zero-based row number of the candidate.">nRow</a>) &amp;&amp; (cand.<a class="code" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338" title="A zero-based column number of the candidate.">nCol</a> == <a class="code" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338" title="A zero-based column number of the candidate.">nCol</a>));
+<a name="l00052"></a>00052     }
+<a name="l00053"></a>00053 };
 <a name="l00054"></a>00054 
-<a name="l00056"></a><a class="code" href="structs_step.html#aa172f0fca5234cfa240121e6363e6951">00056</a>     <a class="code" href="structs_step.html#aa172f0fca5234cfa240121e6363e6951" title="Assigns default values.">sStep</a>() {
-<a name="l00057"></a>00057         <a class="code" href="structs_step.html#addaeb82c9ddd12c50b753ad2988ceafc" title="The price of travel to this step.">price</a> = <a class="code" href="structs_step.html#a46e252aac4c84cc53d412c76f63fa6fd" title="A candiadate for branching in the current matrix.">candidate</a>.nRow = <a class="code" href="structs_step.html#a46e252aac4c84cc53d412c76f63fa6fd" title="A candiadate for branching in the current matrix.">candidate</a>.nCol = -1;
-<a name="l00058"></a>00058         <a class="code" href="structs_step.html#aabaeab5d890e4497a76c7a30a3f85cfa" title="Indicates whether or not matrix has alternative candidates.">alts</a> = <span class="keyword">false</span>;
-<a name="l00059"></a>00059         <a class="code" href="structs_step.html#a7a984255a80c651dff62ac9571079a53" title="Pointer to the left branch step.">plNode</a> = <a class="code" href="structs_step.html#a9f14c4a0df25ba8b109c6732d4a68216" title="Pointer to the right branch step.">prNode</a> = NULL;
-<a name="l00060"></a>00060     }
-<a name="l00061"></a>00061 };
-<a name="l00062"></a>00062 
-<a name="l00069"></a><a class="code" href="class_c_t_s_p_solver.html">00069</a> <span class="keyword">class </span><a class="code" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a>
-<a name="l00070"></a>00070 {
-<a name="l00071"></a>00071     Q_DECLARE_TR_FUNCTIONS(<a class="code" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a>)
-<a name="l00072"></a>00072 
-<a name="l00073"></a>00073 <span class="keyword">public</span>:
-<a name="l00074"></a>00074     <a class="code" href="class_c_t_s_p_solver.html#aa5e45813d8f5e1c039b1bb9746d367bd" title="Class constructor.">CTSPSolver</a>();
-<a name="l00075"></a>00075     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qstring.html">QString</a> <a class="code" href="class_c_t_s_p_solver.html#a57556c971a25e3556c4aa3cc1fd2d3d0" title="Returns the sorted optimal path, starting from City 1.">getSortedPath</a>() <span class="keyword">const</span>;
-<a name="l00076"></a>00076     <span class="keyword">static</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qstring.html">QString</a> <a class="code" href="class_c_t_s_p_solver.html#a677a878c4c8a06316a5d8d5a4fc8ab65" title="Returns CTSPSolver&amp;#39;s version ID.">getVersionId</a>();
-<a name="l00077"></a>00077     <span class="keywordtype">bool</span> <a class="code" href="class_c_t_s_p_solver.html#a28d546e840cf53c639b45c0f26419f7a" title="Returns whether or not the solution is definitely optimal.">isOptimal</a>() <span class="keyword">const</span>;
-<a name="l00078"></a>00078     <a class="code" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> *<a class="code" href="class_c_t_s_p_solver.html#abc4a62fa7954327949926473309d6bc3" title="Solves the given task.">solve</a>(<span class="keywordtype">int</span> numCities, <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> task, <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qwidget.html">QWidget</a> *parent = 0);
-<a name="l00079"></a>00079 
-<a name="l00080"></a>00080 <span class="keyword">private</span>:
-<a name="l00081"></a>00081     <span class="keywordtype">bool</span> mayNotBeOptimal;
-<a name="l00082"></a>00082     <span class="keywordtype">int</span> nCities;
-<a name="l00083"></a>00083     <a class="code" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> *root;
-<a name="l00084"></a>00084     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qhash.html">QHash&lt;int,int&gt;</a> route;
-<a name="l00085"></a>00085 <span class="comment">//  QHash&lt;int,int&gt; forbidden;</span>
-<a name="l00086"></a>00086 
-<a name="l00087"></a>00087     <span class="keywordtype">double</span> align(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix);
-<a name="l00088"></a>00088     <span class="keywordtype">void</span> cleanup();
-<a name="l00089"></a>00089     <span class="keywordtype">bool</span> findCandidate(<span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix, <span class="keywordtype">int</span> &amp;nRow, <span class="keywordtype">int</span> &amp;nCol) <span class="keyword">const</span>;
-<a name="l00090"></a>00090     <span class="keywordtype">double</span> findMinInCol(<span class="keywordtype">int</span> nCol, <span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix, <span class="keywordtype">int</span> exr = -1) <span class="keyword">const</span>;
-<a name="l00091"></a>00091     <span class="keywordtype">double</span> findMinInRow(<span class="keywordtype">int</span> nRow, <span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix, <span class="keywordtype">int</span> exc = -1) <span class="keyword">const</span>;
-<a name="l00092"></a>00092     <span class="keywordtype">bool</span> hasSubCycles(<span class="keywordtype">int</span> nRow, <span class="keywordtype">int</span> nCol) <span class="keyword">const</span>;
-<a name="l00093"></a>00093     <span class="keywordtype">void</span> subCol(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix, <span class="keywordtype">int</span> nCol, <span class="keywordtype">double</span> val);
-<a name="l00094"></a>00094     <span class="keywordtype">void</span> subRow(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">tMatrix</a> &amp;matrix, <span class="keywordtype">int</span> nRow, <span class="keywordtype">double</span> val);
-<a name="l00095"></a>00095 };
-<a name="l00096"></a>00096 
-<a name="l00097"></a>00097 <span class="preprocessor">#endif // TSPSOLVER_H</span>
+<a name="l00060"></a><a class="code" href="struct_s_step.html">00060</a> <span class="keyword">struct </span><a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> {
+<a name="l00061"></a><a class="code" href="struct_s_step.html#a0353eb66f83d46f88fb47cc2d1a923dd">00061</a>     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> <a class="code" href="struct_s_step.html#a0353eb66f83d46f88fb47cc2d1a923dd" title="This step&amp;#39;s matrix.">matrix</a>; 
+<a name="l00062"></a><a class="code" href="struct_s_step.html#a0355ec75846222996de07108a7c2e9c8">00062</a>     <span class="keywordtype">double</span> <a class="code" href="struct_s_step.html#a0355ec75846222996de07108a7c2e9c8" title="The price of travel to this step.">price</a>; 
+<a name="l00063"></a><a class="code" href="struct_s_step.html#aeb798262cbff5ddd819a7056f8d21f21">00063</a>     <a class="code" href="struct_s_candidate.html" title="A structure that represents a candidate for branching.">SCandidate</a> <a class="code" href="struct_s_step.html#aeb798262cbff5ddd819a7056f8d21f21" title="A candiadate for branching in the current matrix.">candidate</a>; 
+<a name="l00064"></a><a class="code" href="struct_s_step.html#a02196d3433e2deed89ab540b875cd527">00064</a>     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList&lt;SCandidate&gt;</a> <a class="code" href="struct_s_step.html#a02196d3433e2deed89ab540b875cd527" title="A list of alternative branching candidates.">alts</a>; 
+<a name="l00065"></a><a class="code" href="struct_s_step.html#a8776e917cd02f86a57e103c025f5530c">00065</a>     <a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> *<a class="code" href="struct_s_step.html#a8776e917cd02f86a57e103c025f5530c" title="Pointer to the left branch step.">plNode</a>; 
+<a name="l00066"></a><a class="code" href="struct_s_step.html#a51b304fcfc71508203d2becefcae5d31">00066</a>     <a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> *<a class="code" href="struct_s_step.html#a51b304fcfc71508203d2becefcae5d31" title="Pointer to the right branch step.">prNode</a>; 
+<a name="l00067"></a>00067 
+<a name="l00069"></a><a class="code" href="struct_s_step.html#a450adac026150c0a49967a20ce46e51e">00069</a>     <a class="code" href="struct_s_step.html#a450adac026150c0a49967a20ce46e51e" title="Assigns default values.">SStep</a>() {
+<a name="l00070"></a>00070         <a class="code" href="struct_s_step.html#a0355ec75846222996de07108a7c2e9c8" title="The price of travel to this step.">price</a> = -1;
+<a name="l00071"></a>00071         <a class="code" href="struct_s_step.html#a8776e917cd02f86a57e103c025f5530c" title="Pointer to the left branch step.">plNode</a> = <a class="code" href="struct_s_step.html#a51b304fcfc71508203d2becefcae5d31" title="Pointer to the right branch step.">prNode</a> = NULL;
+<a name="l00072"></a>00072     }
+<a name="l00073"></a>00073 };
+<a name="l00074"></a>00074 
+<a name="l00081"></a><a class="code" href="class_c_t_s_p_solver.html">00081</a> <span class="keyword">class </span><a class="code" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a>
+<a name="l00082"></a>00082 {
+<a name="l00083"></a>00083     Q_DECLARE_TR_FUNCTIONS(<a class="code" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a>)
+<a name="l00084"></a>00084 
+<a name="l00085"></a>00085 <span class="keyword">public</span>:
+<a name="l00086"></a>00086     <a class="code" href="class_c_t_s_p_solver.html#aa5e45813d8f5e1c039b1bb9746d367bd" title="Class constructor.">CTSPSolver</a>();
+<a name="l00087"></a>00087     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qstring.html">QString</a> <a class="code" href="class_c_t_s_p_solver.html#a57556c971a25e3556c4aa3cc1fd2d3d0" title="Returns the sorted optimal path, starting from City 1.">getSortedPath</a>() <span class="keyword">const</span>;
+<a name="l00088"></a>00088     <span class="keyword">static</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qstring.html">QString</a> <a class="code" href="class_c_t_s_p_solver.html#a677a878c4c8a06316a5d8d5a4fc8ab65" title="Returns CTSPSolver&amp;#39;s version ID.">getVersionId</a>();
+<a name="l00089"></a>00089     <span class="keywordtype">bool</span> <a class="code" href="class_c_t_s_p_solver.html#a28d546e840cf53c639b45c0f26419f7a" title="Returns whether or not the solution is definitely optimal.">isOptimal</a>() <span class="keyword">const</span>;
+<a name="l00090"></a>00090     <a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> *<a class="code" href="class_c_t_s_p_solver.html#a9a6545dd05e449151aabe325f4058edd" title="Solves the given task.">solve</a>(<span class="keywordtype">int</span> numCities, <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> task, <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qwidget.html">QWidget</a> *parent = 0);
+<a name="l00091"></a>00091     ~<a class="code" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a>();
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 <span class="keyword">private</span>:
+<a name="l00094"></a>00094     <span class="keywordtype">bool</span> mayNotBeOptimal;
+<a name="l00095"></a>00095     <span class="keywordtype">int</span> nCities;
+<a name="l00096"></a>00096     <a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> *root;
+<a name="l00097"></a>00097     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qhash.html">QHash&lt;int,int&gt;</a> route;
+<a name="l00098"></a>00098 <span class="comment">//  QHash&lt;int,int&gt; forbidden;</span>
+<a name="l00099"></a>00099 
+<a name="l00100"></a>00100     <span class="keywordtype">double</span> align(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix);
+<a name="l00101"></a>00101     <span class="keywordtype">void</span> cleanup();
+<a name="l00102"></a>00102     <span class="keywordtype">void</span> deleteNode(<a class="code" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> *node);
+<a name="l00103"></a>00103     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList&lt;SCandidate&gt;</a> findCandidate(<span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix, <span class="keywordtype">int</span> &amp;nRow, <span class="keywordtype">int</span> &amp;nCol) <span class="keyword">const</span>;
+<a name="l00104"></a>00104     <span class="keywordtype">double</span> findMinInCol(<span class="keywordtype">int</span> nCol, <span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix, <span class="keywordtype">int</span> exr = -1) <span class="keyword">const</span>;
+<a name="l00105"></a>00105     <span class="keywordtype">double</span> findMinInRow(<span class="keywordtype">int</span> nRow, <span class="keyword">const</span> <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix, <span class="keywordtype">int</span> exc = -1) <span class="keyword">const</span>;
+<a name="l00106"></a>00106     <span class="keywordtype">bool</span> hasSubCycles(<span class="keywordtype">int</span> nRow, <span class="keywordtype">int</span> nCol) <span class="keyword">const</span>;
+<a name="l00107"></a>00107     <span class="keywordtype">void</span> subCol(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix, <span class="keywordtype">int</span> nCol, <span class="keywordtype">double</span> val);
+<a name="l00108"></a>00108     <span class="keywordtype">void</span> subRow(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">TMatrix</a> &amp;matrix, <span class="keywordtype">int</span> nRow, <span class="keywordtype">double</span> val);
+<a name="l00109"></a>00109 };
+<a name="l00110"></a>00110 
+<a name="l00111"></a>00111 <span class="preprocessor">#endif // TSPSOLVER_H</span>
 </pre></div></div>
 <!--- window showing the filter options -->
@@ -157,5 +166,5 @@
 </div>
 
-<hr size="1"/><address style="text-align: right;"><small>Generated on Mon Dec 7 18:11:34 2009 for TSPSG: TSP Solver and Generator by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Dec 17 00:37:27 2009 for TSPSG: TSP Solver and Generator by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>