Index: trunk/docs/html/settingsdialog_8h_source.html
===================================================================
--- trunk/docs/html/settingsdialog_8h_source.html	(revision 76)
+++ trunk/docs/html/settingsdialog_8h_source.html	(revision 84)
@@ -106,21 +106,22 @@
 <a name="l00051"></a>00051     <span class="keywordtype">bool</span> newColor;
 <a name="l00052"></a>00052     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qsettings.html">QSettings</a> *settings;
-<a name="l00053"></a>00053 <span class="preprocessor">#ifndef Q_OS_WINCE</span>
-<a name="l00054"></a>00054 <span class="preprocessor"></span>    <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qcheckbox.html">QCheckBox</a> *cbSaveState;
-<a name="l00055"></a>00055     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlabel.html">QLabel</a> *imgIcon;
-<a name="l00056"></a>00056     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlabel.html">QLabel</a> *labelHint;
-<a name="l00057"></a>00057     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qframe.html">QFrame</a> *lineVertical;
-<a name="l00058"></a>00058 
-<a name="l00059"></a>00059     <span class="keywordtype">bool</span> event(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qevent.html">QEvent</a> *ev);
-<a name="l00060"></a>00060 <span class="preprocessor">#endif // Q_OS_WINCE</span>
-<a name="l00061"></a>00061 <span class="preprocessor"></span>
-<a name="l00062"></a>00062 <span class="keyword">private</span> slots:
-<a name="l00063"></a>00063     <span class="keywordtype">void</span> accept();
-<a name="l00064"></a>00064     <span class="keywordtype">void</span> buttonColorClicked();
-<a name="l00065"></a>00065     <span class="keywordtype">void</span> buttonFontClicked();
-<a name="l00066"></a>00066     <span class="keywordtype">void</span> spinRandMinValueChanged(<span class="keywordtype">int</span> val);
-<a name="l00067"></a>00067 };
-<a name="l00068"></a>00068 
-<a name="l00069"></a>00069 <span class="preprocessor">#endif // SETTINGSDIALOG_H</span>
+<a name="l00053"></a>00053     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qhboxlayout.html">QHBoxLayout</a> *layoutCitiesLimit;
+<a name="l00054"></a>00054 <span class="preprocessor">#ifndef Q_OS_WINCE</span>
+<a name="l00055"></a>00055 <span class="preprocessor"></span>    <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qcheckbox.html">QCheckBox</a> *cbSaveState;
+<a name="l00056"></a>00056     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlabel.html">QLabel</a> *imgIcon;
+<a name="l00057"></a>00057     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlabel.html">QLabel</a> *labelHint;
+<a name="l00058"></a>00058     <a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qframe.html">QFrame</a> *lineVertical;
+<a name="l00059"></a>00059 
+<a name="l00060"></a>00060     <span class="keywordtype">bool</span> event(<a class="codeRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qevent.html">QEvent</a> *ev);
+<a name="l00061"></a>00061 <span class="preprocessor">#endif // Q_OS_WINCE</span>
+<a name="l00062"></a>00062 <span class="preprocessor"></span>
+<a name="l00063"></a>00063 <span class="keyword">private</span> slots:
+<a name="l00064"></a>00064     <span class="keywordtype">void</span> accept();
+<a name="l00065"></a>00065     <span class="keywordtype">void</span> buttonColorClicked();
+<a name="l00066"></a>00066     <span class="keywordtype">void</span> buttonFontClicked();
+<a name="l00067"></a>00067     <span class="keywordtype">void</span> spinRandMinValueChanged(<span class="keywordtype">int</span> val);
+<a name="l00068"></a>00068 };
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="preprocessor">#endif // SETTINGSDIALOG_H</span>
 </pre></div></div>
 <!--- window showing the filter options -->
@@ -138,5 +139,5 @@
 </div>
 
-<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Dec 17 00:37:27 2009 for TSPSG: TSP Solver and Generator by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Jan 7 18:22:42 2010 for TSPSG: TSP Solver and Generator by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>